class RolifyCreateRoles < ActiveRecord::Migration[4.2]
  def change
    create_table(:roles) do |t|
      t.string :name
      t.references :resource, :polymorphic => true

      t.timestamps
    end

    create_table(:authors_roles, :id => false) do |t|
      t.references :author
      t.references :role
    end

    add_index(:roles, :name)
    add_index(:roles, [ :name, :resource_type, :resource_id ])
    add_index(:authors_roles, [ :author_id, :role_id ])
  end
end
